PartDesign Congé

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page PartDesign Fillet and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎čeština • ‎русский
Arrow-left.svg Page précédente : PartDesign MultiTransform.svg Transformation multiple
Page suivante : Chanfrein PartDesign Chamfer.svg Arrow-right.svg

PartDesign Fillet.svg PartDesign Congé

Emplacement du menu
Part Design → Apply a dress up feature → Congé
Ateliers
PartDesign
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
PartDesign Chanfrein, Part Congé


Description

Cet outil crée des congés (arrondis) sur les bords sélectionnés d'un objet. Une nouvelle entrée de congé séparée (suivie d'un numéro séquentiel s'il existe déjà des congés dans le document) est créée dans l'arborescence du projet.

Comment l'utiliser

  • Dans le Panneau des tâches qui apparaît, définissez le rayon du congé soit en entrant la valeur, soit en cliquant sur les flèches haut/bas.
  • Si vous souhaitez ajouter plus d'arêtes ou de faces, cliquez sur le bouton Add et sélectionnez les arêtes et / ou les faces.
  • Si vous souhaitez supprimer des arêtes ou des faces
    • Sélectionnez l'arête/la face dans la liste de la boîte de dialogue et appuyez sur la touche DEL. Remarque: puisqu'il doit y avoir au moins une arête pour la fonction, la dernière arête ou face restante dans la liste ne peut pas être supprimée.
    • ou cliquez sur le bouton Remove. Toutes les arêtes et faces sélectionnées précédemment sont surlignées en violet. Sélectionnez l'arête ou la face à supprimer.
  • Cliquez sur OK pour valider.
  • Pour une chaîne d'arêtes tangentes les unes aux autres, vous pouvez sélectionner une seule arête; le filet se propage le long de la chaîne.
  • Pour modifier le congé après la validation de la fonction, vous pouvez soit double-cliquer sur l'étiquette du congé dans l'arborescence du projet, soit cliquer dessus avec le bouton droit de la souris et sélectionner Modifier le congé.

Congé PartDesign vs. Congé Part

PartDesign Fillet.svg PartDesign Congé ne doit pas être confondu avec Part Fillet.svg Part Congé de l'Atelier Part. Bien qu'ils partagent le même nom, ils ne sont pas identiques et ne sont pas utilisés de la même manière.

Voici comment ils diffèrent les uns des autres:

  • Le congé PartDesign est paramétrique. Après l'application d'un congé, son rayon peut être modifié; cela n'est pas possible avec le congé Part.
  • Le congé PartDesign crée une entrée de congé séparée (suivie d'un numéro séquentiel s'il existe déjà des congés) dans l'arborescence du projet. Le congé Part devient le parent de l'objet auquel il a été appliqué.
  • Le congé PartDesign offre un aperçu en direct du congé appliqué à l'objet avant de valider la fonction.
  • Le congé Part prend en charge des rayons variables (avec un rayon de départ et un rayon de fin). Le congé PartDesign ne fonctionne pas.

Problèmes connus

Les congés, chanfreins et autres fonctionnalités opérant sur les corps solides dépendent du noyau OpenCASCADE Technology (OCCT) sous-jacent utilisé par FreeCAD. Le noyau OCCT a parfois du mal à gérer les arêtes vives qui coïncident, là où deux faces se rencontrent. Si tel est le cas, FreeCAD peut se bloquer sans explication.

Si exécuté à partir du terminal, FreeCAD peut générer un journal comme celui-ci après le crash:

#1  0x7fff63d660ba in BRep_Tool::Curve(TopoDS_Edge const&, TopLoc_Location&, double&, double&) from /usr/lib/x86_64-linux-gnu/libTKBRep.so.7+0x2a
#2  0x7fff63d69546 in BRep_Tool::Curve(TopoDS_Edge const&, double&, double&) from /usr/lib/x86_64-linux-gnu/libTKBRep.so.7+0x46
#3  0x7fff71f4fef5 in ChFi3d_Builder::PerformIntersectionAtEnd(int) from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0x3b05
#4  0x7fff71f58307 in ChFi3d_Builder::PerformOneCorner(int, bool) from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0x1097
#5  0x7fff71ef6218 in ChFi3d_Builder::PerformFilletOnVertex(int) from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0x4e8
#6  0x7fff71ef71d1 in ChFi3d_Builder::Compute() from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0xe31
#7  0x7fff720ad7c3 in BRepFilletAPI_MakeChamfer::Build() from /usr/lib/x86_64-linux-gnu/libTKFillet.so.7+0x33
#8  0x7fff723be48e in PartDesign::Chamfer::execute() from /usr/lib/freecad-daily/lib/_PartDesign.so+0x60e
...

Cette sortie fait référence à des fonctions situées dans libTKBRep.so, libTKFillet.so, etc., qui sont des bibliothèques OCCT. Si ce type de crash se produit, le problème devra peut-être être signalé et résolu dans OCCT plutôt que dans FreeCAD.

Voir les discussions du forum pour plus d'informations:

L'utilisateur est également responsable de l'intégrité de son propre modèle. Selon le modèle, il peut être impossible d'effectuer un congé ou un chanfrein si le corps n'est pas assez grand pour supporter cette opération. Par exemple, il ne serait pas possible de créer un congé de 10 mm si un bord n'est séparé que de 5 mm de la surface suivante. Dans ce cas, le rayon maximal pour un congé serait de 5 mm; essayer d'utiliser une valeur plus grande peut entraîner une forme qui ne calcule pas, voire un crash. Si l'utilisation de la limite exacte de 5 mm ne fonctionne pas, il est possible d'utiliser une approximation très proche, telle que 4,9999 mm, pour obtenir le même résultat visible.

Nom topologique

Les nombres d'arêtes ne sont pas complètement stables. Il est donc conseillé de terminer le travail de conception principal de votre corps solide avant d'appliquer des fonctions telles que les congés et les chanfreins, sans quoi les arêtes pourraient changer de nom et les arêtes filetées pourraient devenir invalides.

Voir la page topological naming problem pour en savoir plus.

Script

L'outil text-top=Congé Congés peut être utilisé dans une macro et à partir de la console Python en utilisant la fonction suivante:

Box = Box.makeFillet(3,[Box.Edges[0]]) # 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
  • 3 = rayon du congé
  • Box.Edges[2] = bord avec son numéro


Exemple :

import PartDesign
from FreeCAD import Base

Box = Part.makeBox(10,10,10)
Box = Box.makeFillet(3,[Box.Edges[0]]) # pour 1 Fillet
Box = Box.makeFillet(3,[Box.Edges[1],Box.Edges[2],Box.Edges[3],Box.Edges[4]]) # for several Fillets
Part.show(Box)
Arrow-left.svg Page précédente : PartDesign MultiTransform.svg Transformation multiple
Page suivante : Chanfrein PartDesign Chamfer.svg Arrow-right.svg